menu = {}
slotpos = {}

for y = 0, 3 do
	table.insert(slotpos, Vector3(-166, -y * 75 + 114, 0))
	table.insert(slotpos, Vector3(-166 + 80, -y * 75 + 114, 0))
end

function WarpgateInsertWormhole(worm)
	table.insert(menu, worm)
	
	return menu
end

function WarpgatePrintMenu()
	for key,value in pairs(menu) do print(value, value.components.container.menuslot) end
end

function WarpgateTeleportTo(teleporter)
	local index = teleporter.index
	
	menu[index].components.teleporter:Target(menu[index])
	menu[index].components.teleporter:Activate(GetPlayer())
	menu[index].components.teleporter:Target(nil)
end

function WarpgateFillPack(pack)
	for key,value in pairs(menu) do
		local teleporter = SpawnPrefab("warpgate_teleporter")
		teleporter.index = key
		teleporter.components.inventoryitem.imagename = "warpgate_teleporter_"..key
		
		pack.components.inventory:RemoveItemBySlot(key)
		pack.components.inventory:GiveItem(teleporter, key)
	end
end